## vlc 0.2.92

=== Makefile ===
--- 
+++ 
@@ -13,13 +13,16 @@
 # 
 # All possible plugin directories, needed for make clean
 #
-PLUGINS_DIR :=	alsa \
+PLUGINS_DIR :=	ac3_adec \
+		ac3_spdif \
+		alsa \
+ 		arts \
 		beos \
-		darwin \
 		directx \
 		dsp \
 		dummy \
 		dvd \
+		dvdread \
 		esd \
 		fb \
 		ggi \
@@ -29,28 +32,34 @@
 		idct \
 		imdct \
 		kde \
+		lpcm_adec \
 		macosx \
+		mad_adec \
+		memcpy \
 		mga \
 		motion \
 		mpeg \
+		mpeg_adec \
+		mpeg_vdec \
 		qt \
 		sdl \
+		spu_dec \
 		text \
 		vcd \
 		x11 \
 		yuv
 
-#
-# All possible plugin objects
-#
-PLUGINS_TARGETS := alsa/alsa \
+PLUGINS_TARGETS := ac3_adec/ac3_adec \
+		ac3_spdif/ac3_spdif \
+		alsa/alsa \
+ 		arts/arts \
 		beos/beos \
-		darwin/darwin \
 		directx/directx \
 		dsp/dsp \
 		dummy/dummy \
 		dummy/null \
 		dvd/dvd \
+		dvdread/dvdread \
 		esd/esd \
 		fb/fb \
 		ggi/ggi \
@@ -69,19 +78,27 @@
 		imdct/imdct3dn \
 		imdct/imdctsse \
 		kde/kde \
+		lpcm_adec/lpcm_adec \
 		macosx/macosx \
-		macosx/macosx_qt \
+		mad_adec/mad \
+		memcpy/memcpy \
+		memcpy/memcpymmx \
+		memcpy/memcpymmxext \
+		memcpy/memcpy3dn \
 		mga/mga \
 		motion/motion \
 		motion/motionmmx \
 		motion/motionmmxext \
 		motion/motion3dnow \
 		motion/motionaltivec \
+		mpeg_adec/mpeg_adec \
+		mpeg_vdec/mpeg_vdec \
 		mpeg/es \
 		mpeg/ps \
 		mpeg/ts \
 		qt/qt \
 		sdl/sdl \
+		spu_dec/spu_dec \
 		text/ncurses \
 		text/rc \
 		vcd/vcd \
@@ -89,32 +106,19 @@
 		x11/xvideo \
 		yuv/yuv \
 		yuv/yuvmmx
-
 #
 # C Objects
 # 
 INTERFACE := main interface intf_msg intf_playlist intf_channels
-INPUT := input input_ext-dec input_ext-intf input_dec input_programs input_netlist input_clock mpeg_system
+INPUT := input input_ext-dec input_ext-intf input_dec input_programs input_clock mpeg_system
 VIDEO_OUTPUT := video_output video_text video_spu video_yuv
 AUDIO_OUTPUT := audio_output aout_ext-dec aout_u8 aout_s8 aout_u16 aout_s16 aout_spdif
-AC3_DECODER := ac3_decoder_thread ac3_decoder ac3_parse ac3_exponent ac3_bit_allocate ac3_mantissa ac3_rematrix ac3_imdct
-AC3_SPDIF := ac3_spdif ac3_iec958
-LPCM_DECODER := lpcm_decoder_thread
-AUDIO_DECODER := audio_decoder adec_generic adec_layer1 adec_layer2 adec_math
-SPU_DECODER := spu_decoder
-VIDEO_DECODER := video_parser vpar_headers vpar_blocks vpar_synchro vpar_pool video_decoder
 MISC := mtime tests modules netutils iso_lang
 
 C_OBJ :=	$(INTERFACE:%=src/interface/%.o) \
 		$(INPUT:%=src/input/%.o) \
 		$(VIDEO_OUTPUT:%=src/video_output/%.o) \
 		$(AUDIO_OUTPUT:%=src/audio_output/%.o) \
-		$(AC3_DECODER:%=src/ac3_decoder/%.o) \
-		$(AC3_SPDIF:%=src/ac3_spdif/%.o) \
-		$(LPCM_DECODER:%=src/lpcm_decoder/%.o) \
-		$(AUDIO_DECODER:%=src/audio_decoder/%.o) \
-		$(SPU_DECODER:%=src/spu_decoder/%.o) \
-		$(VIDEO_DECODER:%=src/video_decoder/%.o) \
 		$(MISC:%=src/misc/%.o)
 
 #
@@ -163,8 +167,8 @@
 #
 # Misc variables
 #
-VLC_QUICKVERSION := $(shell grep '^ *VLC_VERSION=[0-9]' configure.in | head -1 | cut -f2 -d=)
-LIBDVDCSS_QUICKVERSION := $(shell grep '^ *LIBDVDCSS_VERSION=[0-9]' configure.in | head -1 | cut -f2 -d=)
+VLC_QUICKVERSION := $(shell grep '^ *VLC_VERSION=' configure.in | head -1 | sed 's/"//g' | cut -f2 -d=)
+LIBDVDCSS_QUICKVERSION := $(shell grep '^ *LIBDVDCSS_VERSION=' configure.in | head -1 | sed 's/"//g' | cut -f2 -d=)
 
 
 # All symbols must be exported
@@ -200,7 +204,7 @@
 #
 # Cleaning rules
 #
-clean: libdvdcss-clean plugins-clean vlc-clean
+clean: libdvdcss-clean libdvdread-clean plugins-clean vlc-clean
 	rm -f src/*/*.o extras/*/*.o
 	rm -f lib/*.so* lib/*.a
 	rm -f plugins/*.so plugins/*.a
@@ -208,6 +212,9 @@
 
 libdvdcss-clean:
 	-cd extras/libdvdcss && $(MAKE) clean
+
+libdvdread-clean:
+	-cd extras/libdvdread && $(MAKE) clean
 
 plugins-clean:
 	for dir in $(PLUGINS_DIR) ; do \
@@ -365,12 +372,12 @@
 	# Create installation script
 	sed -e 's#@VERSION@#'${VLC_QUICKVERSION}'#' < install-win32 > tmp/nsi
 	# Copy relevant files
-	cp vlc.exe plugins/directx.so plugins/gtk.so plugins/sdl.so tmp/ 
+	cp vlc.exe $(PLUGINS:%=plugins/%.so) tmp/ 
 	cp INSTALL-win32.txt AUTHORS COPYING ChangeLog ChangeLog.libdvdcss \
 		README README.libdvdcss FAQ TODO tmp/
 	for file in gtk-1.3.dll gdk-1.3.dll glib-1.3.dll gmodule-1.3.dll \
 		gnu-intl.dll SDL.dll README-SDL.txt ; \
-			do cp ../win32-libs/$$file tmp/ ; done
+			do cp ${DLL_PATH}/$$file tmp/ ; done
 	mkdir tmp/share
 	for file in default8x16.psf default8x9.psf ; \
 		do cp share/$$file tmp/share/ ; done
@@ -378,6 +385,30 @@
 	wine ~/.wine/fake_windows/Program\ Files/NSIS/makensis.exe /CD tmp/nsi
 	mv tmp/vlc-${VLC_QUICKVERSION}.exe \
 		vlc-${VLC_QUICKVERSION}-win32-installer.exe
+	# Clean up
+	rm -Rf tmp
+
+package-beos:
+	# Check that tmp isn't in the way
+	@if test -e tmp; then \
+		echo "Error: please remove ./tmp, it is in the way"; false; \
+	else \
+		echo "OK."; mkdir tmp; \
+	fi
+	
+	# Create dir
+	mkdir -p tmp/vlc/share
+	# Copy relevant files
+	cp vlc tmp/vlc/
+	cp AUTHORS COPYING ChangeLog ChangeLog.libdvdcss \
+		README README.libdvdcss FAQ TODO tmp/vlc/
+	for file in default8x16.psf default8x9.psf ; \
+		do cp share/$$file tmp/vlc/share/ ; done
+	# Create package 
+	mv tmp/vlc tmp/vlc-${VLC_QUICKVERSION}
+	(cd tmp ; find vlc-${VLC_QUICKVERSION} | \
+	zip -9 -@ vlc-${VLC_QUICKVERSION}-beos.zip )
+	mv tmp/vlc-${VLC_QUICKVERSION}-beos.zip .
 	# Clean up
 	rm -Rf tmp
 
@@ -404,19 +435,3 @@
 		-e 's#^all:.*#all: libdvdcss#' \
 		-e 's#^libdvdcss-install:#install:#' \
 		-e 's#^libdvdcss-uninstall:#uninstall:#' \
-		-e 's#^libdvdcss-clean:#clean:#' \
-		< Makefile > tmp/vlc/Makefile
-	# Build archives
-	F=libdvdcss-${LIBDVDCSS_QUICKVERSION}; \
-	mv tmp/vlc tmp/$$F; (cd tmp ; tar cf $$F.tar $$F); \
-	bzip2 -f -9 < tmp/$$F.tar > $$F.tar.bz2; \
-	gzip -f -9 tmp/$$F.tar ; mv tmp/$$F.tar.gz .
-	# Clean up
-	rm -Rf tmp
-
-deb:
-	dpkg-buildpackage -rfakeroot -us -uc
-
-#
-# Gtk/Gnome/* aliases and OS X application
-#
