=== plugins/imdct/Makefile ===
--- 
+++ 
@@ -45,21 +45,21 @@
 #
 
 ../imdct.so: $(PLUGIN_IMDCT) $(PLUGIN_IMDCTCOMMON)
-	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 
+	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_IMDCT)
 
 ../imdct.a: $(BUILTIN_IMDCT)
 	ar r $@ $^
 	$(RANLIB) $@
 
 ../imdctsse.so: $(PLUGIN_IMDCTSSE) $(PLUGIN_IMDCTCOMMON)
-	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 
+	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_IMDCTSSE)
 
 ../imdctsse.a: $(BUILTIN_IMDCTSSE)
 	ar r $@ $^
 	$(RANLIB) $@
 
 ../imdct3dn.so: $(PLUGIN_IMDCT3DN) $(PLUGIN_IMDCTCOMMON)
-	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 
+	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_IMDCT3DN)
 
 ../imdct3dn.a: $(BUILTIN_IMDCT3DN)
 	ar r $@ $^
